# kompilator c
CCOMP = gcc

# konsolidator
LOADER = gcc

# opcje optymalizacji:
# wersja do debugowania
OPT = -g -DDEBUG
# wersja zoptymalizowana do mierzenia czasu
# OPT = -O3

# pliki naglowkowe
INC = -Iinclude

# object files
ODIR = bin

# binary files
BDIR = bin

# biblioteki
LIB = -fopenmp

main: vectors_util.o main.o
	$(LOADER) $(OPT) $(ODIR)/main.o $(ODIR)/vectors_util.o -o $(BDIR)/main $(LIB)

vectors_util.o: src/vectors_util.c
	mkdir -p bin
	$(CCOMP) -c $(OPT) src/vectors_util.c -o $(ODIR)/vectors_util.o $(INC)

main.o: src/main.c
	$(CCOMP) -c $(OPT) src/main.c -o $(ODIR)/main.o $(INC)

.PHONY: clean

clean:
	rm -f $(ODIR)/*.o
